commit: 7df123192045450131da1073580bfc3ee6c3ce20
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 2 16:24:52 2018 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Fri Mar 2 16:24:52 2018 +0000
URL: https://gitweb.gentoo.org/proj/releng.git/commit/?id=7df12319
tools-musl: use the new musl profiles
tools-musl/run.sh | 14 ++++++++------
tools-musl/stage.conf.template | 12 ++++++++++++
2 files changed, 20 insertions(+), 6 deletions(-)
diff --git a/tools-musl/run.sh b/tools-musl/run.sh
index cda71d0f..9140ac35 100755
--- a/tools-musl/run.sh
+++ b/tools-musl/run.sh
@@ -20,9 +20,9 @@ prepare_confs() {
[[ "${arch}" == "amd64" ]] && tarch="x86_64"
local profile=${flavor}
- [[ "${flavor}" == "vanilla" ]] && profile="default"
+ [[ "${flavor}" == "vanilla" ]] && profile="" || profile="/hardened"
- cat stage-all.conf.template | \
+ cat stage.conf.template | \
sed -e "s:\(^version_stamp.*$\):\1-${mydate}:" \
-e "s:CSTAGE:${cstage}:g" \
-e "s:PSTAGE:${pstage}:g" \
@@ -61,10 +61,12 @@ main() {
# if catalyst is using snapcache, bug #519656
for arch in amd64 i686; do
for flavor in hardened vanilla; do
- (
- do_stages ${arch} ${flavor}
- [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
- ) &
+ do_stages ${arch} ${flavor}
+ [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
+# (
+# do_stages ${arch} ${flavor}
+# [[ $? == 1 ]] && echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
+# ) &
done
done
}
diff --git a/tools-musl/stage.conf.template b/tools-musl/stage.conf.template
new file mode 100644
index 00000000..38ac1adf
--- /dev/null
+++ b/tools-musl/stage.conf.template
@@ -0,0 +1,12 @@
+subarch: SARCH
+target: CSTAGE
+version_stamp: musl-FLAVOR
+rel_type: musl/FLAVOR/SARCH
+profile: default/linux/PARCH/17.0/muslPROFILE
+snapshot: current
+source_subpath: musl/FLAVOR/SARCH/PSTAGE-SARCH-musl-FLAVOR
+chost: TARCH-gentoo-linux-musl
+cflags: -O2 -pipe
+cxxflags: -O2 -pipe
+portage_confdir: MYCATALYST/portage.SARCH.FLAVOR
+portage_overlay: /var/lib/layman/musl